// version de développement / ébauche
// sous lience CERN OHL
// Projet petites éoliennes Pliboo

echo(version=version());

ECART = 2; // application d'un écart 
LONG_EQ = 40; // longueur de l'équerre support
LARG_FENTE = 8; // largeur 

L1=40;    // longueur heu d'la barre
VIS=20;      // H centre de la vis support
EP_1=2;       // Épaisseur du socle
EP_2=28;  // Épaisseur totale
EP_4=5+EP_1;  // Épaisseur totale
INFINI = 1000; // Donnée infinie

part_1(EP_1);
part_2(EP_2);
part_3(EP_2);
part_4(EP_4);

// Part 1
module part_1(X) {
color("lightgrey" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
        linear_extrude(height = X, center = false, convexity = 10)
            import(file = "porteBobProfilAlu-30mm.dxf", layer = "1-03-tiroir-socle");
}

// Part 2
module part_2(X) {
color("green" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "porteBobProfilAlu-30mm.dxf", layer = "1-03-tiroir-bords-renforts");
}

// Part 3
module part_3(X) {
color("yellow" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "porteBobProfilAlu-30mm.dxf", layer = "1-03-tiroir-bords");
}

// Part 4
module part_4(X) {
color("red" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "porteBobProfilAlu-30mm.dxf", layer = "1-03-tiroir-renforts");
}

// Assemblage 1
module ensemble_1() {
    difference(){
        union(){
            part_1();
            }
        part_2();
        }
}